import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;
import java.io.IOException;

public class IconMIDlet extends MIDlet{
	private Display display;
	private IconList iconList;		
	private Image icon16x16, icon18x18, icon20x20, icon22x22, icon32x32;		
	private String[] label = {"16x16 pixels", "18x18 pixels", "20x20 pixels", 
			"22x22 pixels", "32x32 pixels"};
			
	public IconMIDlet(){
		try{
			icon16x16 = Image.createImage("/16.png");
			icon18x18 = Image.createImage("/18.png");
			icon20x20 = Image.createImage("/20.png");
			icon22x22 = Image.createImage("/22.png");
			icon32x32 = Image.createImage("/32.png");
		}catch (IOException ioe){
			ioe.printStackTrace();
		}
	}
	
	protected void startApp(){				
		Image[] listIcon = {icon16x16, icon18x18, icon20x20, icon22x22, icon32x32};			
		iconList = new IconList("IconList", List.IMPLICIT, label, listIcon, this);
		iconList.setFitPolicy(List.TEXT_WRAP_OFF);		
		display = Display.getDisplay(this);
		display.setCurrent(iconList);
	}

	protected void pauseApp(){}

	protected void destroyApp(boolean unconditional){
		notifyDestroyed();
	}
}

class IconList extends List implements CommandListener{
	private IconMIDlet midlet;
	private Command exit;
	
	public IconList(String title, int type, String[] elements, Image[] images, IconMIDlet midlet){
		super(title, type);
		this.midlet = midlet;
		for (int i = 0; i < elements.length; i++) {
			this.append(elements[i], images[i]);
		}
		exit = new Command("Exit", Command.EXIT, 1);
		this.addCommand(exit);
		this.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d){
		if (c == exit) {
			midlet.destroyApp(true);
		}
	}
}